<?php


namespace Magetop\Advancepreview\Controller\Adminhtml\OrderTracking;


class Edit extends \Magetop\Advancepreview\Controller\Adminhtml\OrderTracking
{
    public function execute()
    {
        $response = [
            'status'=>'error',
            'html'=>''
        ];
        try {
            $response['html'] = $this->_view->getLayout()->createBlock('\Magetop\Advancepreview\Block\Adminhtml\Order\PreviewOrderTracking')->setTemplate('Magetop_Advancepreview::order/tracking/edit.phtml')->toHtml();
            $response['status'] = 'success';
        }
        catch (\Exception $exception) {
            $response['html'] = $exception->getMessage();
        }
        return $this->getAjaxResponse($response);
    }
}
